# BUYStoreViewController Class Reference

Inherits from | BUYViewController : UIViewController
Declared in | BUYStoreViewController.h

## Overview

This controller shows you how to build a controller that embeds a WKWebView (iOS 8+) with your store in it. This means that you can show off your store and its sleek responsive design without having to build a full native app to showcase it.

### `– initWithClient:url:`

Creates a view controller with an embedded webview to show the shops storefront

`- (instancetype)initWithClient:(BUYClient *)client url:(NSURL *)url`

#### Parameters

`client` | The client configured to your shop
`url` | The address where the shop can be viewed

#### Return Value

the BUYStoreViewController instance

#### Declared In

`BUYStoreViewController.h`

### `– reloadHomePage`

Jumps back to the shops home page

`- (void)reloadHomePage`

#### Declared In

`BUYStoreViewController.h`

### `delegate`

The BUYStoreViewControllerDelegate

`@property (nonatomic, weak) id<BUYStoreViewControllerDelegate> delegate`

#### Declared In

`BUYStoreViewController.h`